/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "PerfectCAENSy2527Driver.h"

#include "CAENSy2527Def.h"

using namespace std;

namespace caen_sy2527 {

/*
 * Constructor
 */
PerfectCAENSy2527Driver::PerfectCAENSy2527Driver(CAENSy2527Driver* owner) :
	CAENSy2527State(owner) {
	/* Empty */
}

/*
 * Destructor
 */
PerfectCAENSy2527Driver::~PerfectCAENSy2527Driver() {
	/* Empty */
}

/*!
 * \brief Init command implementation
 */
void PerfectCAENSy2527Driver::init() {
}

/*!
 * \brief Read Infos command implementation
 */
void PerfectCAENSy2527Driver::readInfos() {

}

/*
 * read
 */
void PerfectCAENSy2527Driver::read(CAENSy2527BoardDriver* aBoard) {

}

/*
 * readParam
 */
void PerfectCAENSy2527Driver::readParam(CAENSy2527BoardDriver* aBoard) {

}

/*
 * writeParam
 */
void PerfectCAENSy2527Driver::writeParam(CAENSy2527BoardDriver* aBoard) {

}

/*
 * start
 */
void PerfectCAENSy2527Driver::start(CAENSy2527BoardDriver* aBoard) {

}

/*
 * stop
 */
void PerfectCAENSy2527Driver::stop(CAENSy2527BoardDriver* aBoard) {

}

/*
 * readStatus
 */
void PerfectCAENSy2527Driver::readStatus(CAENSy2527BoardDriver* aBoard) {

}

/*
 * powerOn
 */
void PerfectCAENSy2527Driver::powerOn(CAENSy2527BoardDriver* aBoard) {

}

/*
 * powerOff
 */
void PerfectCAENSy2527Driver::powerOff(CAENSy2527BoardDriver* aBoard) {

}

}
